package djmil.cordacheckers.states;

import net.corda.v5.base.annotations.ConstructorForDeserialization;
import net.corda.v5.base.annotations.CordaSerializable;

@CordaSerializable
public class Piece {
    
    @CordaSerializable
    public enum Type {
        MAN,
        KING,
    }

    @CordaSerializable
    public enum Color {
        WHITE,
        BLACK,
    }

    Color color;
    Type type;

    @ConstructorForDeserialization
    public Piece(Color color, Type type) {
        this.color = color;
        this.type = type;
    }

    public Color getColor() {
        return color;
    }

    public Type getType() {
        return type;
    }

}
