package djmil.cordacheckers.gameproposal;

import java.util.UUID;

import djmil.cordacheckers.states.GameProposalState;
import djmil.cordacheckers.states.Piece;

// Class to hold results of the List flow.
// JsonMarshallingService can only serialize simple classes that the underlying Jackson serializer recognises, 
// hence creating a DTO style object which consists only of Strings and a UUIDs. It is possible to create custom
// serializers for the JsonMarshallingService in the future.

public class ListItem {
    public final String issuer;
    public final String acquier;
    public final Piece.Color acquierColor;
    public final String message;
    public final UUID id;

    // Serialisation service requires a default constructor
    public ListItem() { 
        this.issuer = null;
        this.acquier = null;
        this.acquierColor = null;
        this.message = null;
        this.id = null;
    }

    public ListItem(GameProposalState state) {
        this.issuer  = state.getIssuer().getCommonName();
        this.acquier = state.getAcquier().getCommonName();
        this.acquierColor = state.getAcquierColor();
        this.message = state.getMessage();
        this.id      = state.getId();
    }
}
